Subject: Re: [PATCH RFC 00/18] ARM: Add minimal Raspberry Pi 4 support

From: Eric Anholt <[email-masked]>
Date: Thu, 18 Jul 2019 11:45:02 -0700

Stefan Wahren <[email-masked]> writes:

> This series adds minimal support for the new Raspberry Pi 4, so we are able
> to login via debug UART.
>
> Patch 1-5:   Prepare platform and DTS for the new SoC BMC2838
> Patch 6-9:   Enable support for emmc2 on BCM2838
> Patch 10-14: Enable pinctrl for BCM2838
> Patch 15:    Enable SPI support for BCM2838
> Patch 16-18: Add Raspberry Pi 4 DTS support
>
> Unfortunately the Raspberry Pi Foundation didn't released a
> peripheral documentation for the new SoC yet. So we only have a preliminary
> datasheet [1] and reduced schematics [2].
>
> This series is marked as RFC because some parts (e.g. pinctrl) are still
> work in progress.
>
> [1] - https://www.raspberrypi.org/documentation/hardware/raspberrypi/bcm2711/rpi_DATA_2711_1p0_preliminary.pdf
> [2] - https://www.raspberrypi.org/documentation/hardware/raspberrypi/schematics/rpi_SCH_4b_4p0_reduced.pdf
>
> Discussible things:
> - SoC compatible BCM2711 (as on the SoC label) vs BCM2838 (existing naming scheme)
> - ARCH membership ARCH_BCM2835 vs ARCH_BCMSTB

Thanks for taking this on!

I would love to see us drop this silly upstream/downstream compatible
string naming scheme and just use 2711 (or 7211 for modules shared with
7211 that were enabled there first).  However, I don't feel that
strongly about it when I'm not the one doing the work.

Other than the SPI shared interrupt change that looks dodgy, and a
preference for the clock change being data-driven instead, I would be
willing to ack the whole thing.
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel